post
/v1/routersCreate router
Create a new router
Header Parameters
X-Region
stringrequiredheader
Region code to query resources from. Required for all resource operations.
Example: "sao1"
Request Body
requiredContent-Type: application/json
name
stringrequireddescription
stringoptionalexternal_gateway
booleanoptionalIf true, connects router to the public network for external access
Default: false
tags
arrayoptionalResponses
201
Router created
Content-Type: application/json
router
objectoptional400
Invalid request parameters
Content-Type: application/json
error
objectrequired401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired409
Resource conflict (e.g., already exists, invalid state)
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X POST "https://api.spo1.mycloud.com/v1/routers" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "main-router","description": "string","external_gateway": false,"tags": ["web","frontend"]}'
Response
Router created
{"router": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:network:router:550e8400-e29b-41d4-a716-446655440000","name": "main-router","description": "string","status": "ACTIVE","external_gateway_info": {"enable_snat": true,"external_fixed_ips": [{"ip_address": "string"}]},"routes": [{"destination": "10.0.0.0/8","nexthop": "192.168.1.1"}],"tags": ["web","frontend"],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}